#
# APPLICATION
#
APP_NAME=spurtCommerce
APP_SCHEMA=http
APP_HOST=localhost
APP_PORT=9000
APP_ROUTE_PREFIX=/api
APP_BANNER=true

#
# LOGGING
#
LOG_LEVEL=debug
LOG_OUTPUT=dev

#
# MySQL DATABASE
#
TYPEORM_CONNECTION=mysql
TYPEORM_HOST=localhost
TYPEORM_PORT=3306
TYPEORM_USERNAME=root
TYPEORM_PASSWORD=password
TYPEORM_DATABASE=spurt
TYPEORM_SYNCHRONIZE=false
TYPEORM_LOGGING=["query", "error"]
TYPEORM_LOGGER=advanced-console

#
# PATH STRUCTRUE
#
TYPEORM_MIGRATIONS=src/database/migrations/**/*.ts
TYPEORM_MIGRATIONS_DIR=src/database/migrations
TYPEORM_ENTITIES=src/api/models/**/*.ts,src/plugin-manager/models/**/*.ts
TYPEORM_ENTITIES_DIR=src/api/models
CONTROLLERS=src/api/controllers/**/*Controller.ts
MIDDLEWARES=src/api/middlewares/**/*Middleware.ts
INTERCEPTORS=src/api/interceptors/**/*Interceptor.ts
SUBSCRIBERS=src/api/subscribers/**/*Subscriber.ts
RESOLVERS=src/api/resolvers/**/*Resolver.ts

#
# Apidoc
#
APIDOC_ENABLED=true
APIDOC_ROUTE=/apidoc

#
# Status Monitor
#
MONITOR_ENABLED=true
MONITOR_ROUTE=/monitor
MONITOR_USERNAME=admin
MONITOR_PASSWORD=1234

#
# Mail
#

MAIL_DRIVER=smtp
MAIL_HOST=smtp.gmail.com
MAIL_USERNAME=USERNAME
MAIL_PASSWORD=PASSWORD
MAIL_PORT=465
MAIL_SECURE=true
MAIL_ENCRYPTION=tls
MAIL_FROM=YOUR EMAIL ID

#
# File Upload System (local or s3)
#
IMAGE_SERVER = local

#
# AWS S3 Bucket
#
AWS_ACCESS_KEY_ID= YOUR AWS ACCESS KEY ID
AWS_SECRET_ACCESS_KEY=YOUR AWS SECRET ACCESS KEY 
AWS_DEFAULT_REGION= AWS DEFAULT REGION
AWS_BUCKET= BUCKET NAME

#
# store url for order detail
#
STORE_URL = YOUR STORE ORDER DETAIL URL
